ZenLib

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Functions | Variables
ZenLib::Format::Http Namespace Reference

## Classes
struct | Cookie
class | Cookies
class | Handler
class | Request

## Functions
unsigned char | Char2Hex (unsigned char Char)
wchar_t | Char2Hex (wchar_t Char)
std::string | Hex2Char (unsigned char Char)
std::wstring | Hex2Char (wchar_t Char)
std::string | URL_Encoded_Encode (const std::string &URL)
std::wstring | URL_Encoded_Encode (const std::wstring &URL)
std::string | URL_Encoded_Decode (const std::string &URL)
std::wstring | URL_Encoded_Decode (const std::wstring &URL)
void | TrimLeft (std::string &String, char ToTrim)

## Variables
std::string | EmptyString

## Function Documentation

unsigned char ZenLib::Format::Http::Char2Hex | ( | unsigned char | Char | ) |

wchar_t ZenLib::Format::Http::Char2Hex | ( | wchar_t | Char | ) |

std::string ZenLib::Format::Http::Hex2Char | ( | unsigned char | Char | ) |

std::wstring ZenLib::Format::Http::Hex2Char | ( | wchar_t | Char | ) |

void ZenLib::Format::Http::TrimLeft | ( | std::string & | String,
|  | char | ToTrim
| ) |  |

std::string ZenLib::Format::Http::URL_Encoded_Decode | ( | const std::string & | URL | ) |

std::wstring ZenLib::Format::Http::URL_Encoded_Decode | ( | const std::wstring & | URL | ) |

std::string ZenLib::Format::Http::URL_Encoded_Encode | ( | const std::string & | URL | ) |

std::wstring ZenLib::Format::Http::URL_Encoded_Encode | ( | const std::wstring & | URL | ) |

## Variable Documentation

std::string ZenLib::Format::Http::EmptyString